= git-lfs-lock(1)

== NAME

git-lfs-lock - Set a file as "locked" on the Git LFS server

== SYNOPSIS

`git lfs lock` [options] <path>

== DESCRIPTION

Sets the given file path as "locked" against the Git LFS server, with
the intention of blocking attempts by other users to update the given
path. Locking a file requires the file to exist in the working copy.

Once locked, LFS will verify that Git pushes do not modify files locked
by other users. See the description of the `lfs.<url>.locksverify`
config key in git-lfs-config(5) for details.

== OPTIONS

`-r <name>`::
`--remote=<name>`::
   Specify the Git LFS server to use. Ignored if the `lfs.url` config key is
   set.
`--json`::
  Writes lock info as JSON to STDOUT if the command exits successfully. Intended
  for interoperation with external tools. If the command returns with a non-zero
  exit code, plain text messages will be sent to STDERR.

== SEE ALSO

git-lfs-unlock(1), git-lfs-locks(1).

Part of the git-lfs(1) suite.
